Autore Topic: Errore Android Studio 1.0.2  (Letto 810 volte)

Offline oberdank

  • Utente normale
  • ***
  • Post: 287
  • Respect: 0
    • Mostra profilo
  • Dispositivo Android:
    Samsung Galaxy Core LTE
  • Play Store ID:
    BuzzOne
  • Sistema operativo:
    Windows 8.1
Errore Android Studio 1.0.2
« il: 03 Febbraio 2015, 16:33:28 CET »
0
Ho scaricato il JDK a 64 bit e ho aggiornato Android Studio (versione a 64 bit) alla versione 1.0.2
Quando provo a editare un mio progetto creato con la versione precedente che avevo (0.8.6) mi appare il messaggio
d'errore:

"Gradle project sync failed. Basic functionality (e.g. editing, debugging) will not work properly"

Allego l'immagine della schermata di Android Studio.

Offline Nicola_D

  • Utente storico
  • *****
  • Post: 2479
  • SBAGLIATO!
  • Respect: +323
    • Github
    • Google+
    • nicoladorigatti
    • Mostra profilo
  • Dispositivo Android:
    Nexus 6p, Nexus 4, Nexus S, Nexus 7(2012)
  • Sistema operativo:
    Windows 7
Re:Errore Android Studio 1.0.2
« Risposta #1 il: 03 Febbraio 2015, 18:30:47 CET »
0
l'errore che ti viene fuori è abbastanza chiaro:
Citazione
Gradle DSL method not found: 'runProguard()'

Non ti offendere, ma questi errori dovresti cercare prima sul web, trovi la soluzione prima, trovi tante spiegazioni e evitiamo di riempire il forum di post con errori base...

https://www.google.lu/webhp?sourceid=chrome-instant&ion=1&espv=2&ie=UTF-8#q=android%20studio%20method%20not%20found%20runproguard
IMPORTANTE:NON RISPONDO A PROBLEMI VIA MESSAGGIO PRIVATO
LOGCAT: Non sai cos'è? -> Android Debug Bridge | Android Developers
               Dov'è in Eclipse? -> Window -> Open Prospective -> DDMS e guarda in basso!
[Obbligatorio] Logcat, questo sconosciuto! (Gruppo AndDev.it LOGTFO) - Android Developers Italia

Offline oberdank

  • Utente normale
  • ***
  • Post: 287
  • Respect: 0
    • Mostra profilo
  • Dispositivo Android:
    Samsung Galaxy Core LTE
  • Play Store ID:
    BuzzOne
  • Sistema operativo:
    Windows 8.1
Re:Errore Android Studio 1.0.2
« Risposta #2 il: 03 Febbraio 2015, 21:13:59 CET »
0
Nel file "build.gradle" ho sostituito "runProguard false" con "minifyEnabled false", ERA QUELLO L'ERRORE?
Per chiarezza riporto il file "build.gradle" prima della modifica e dopo.

Con Android Studio e' possibile offuscare le app in automatico usando ProGuard?
Avendo sostituito "runProguard" con "minifyEnabled" NON e' piu' possible offuscare l'app?

********** build.gradle (vecchio) **********
Codice: [Seleziona]
apply plugin: 'com.android.application'

android {
    compileSdkVersion 21
    buildToolsVersion "20.0.0"

    defaultConfig {
        applicationId "it.giocoparole.trovanagramma"
        minSdkVersion 10
        targetSdkVersion 21
        versionCode 1
        versionName "1.0"
    }
    buildTypes {
        release {
            runProguard false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
}

dependencies {
    compile fileTree(dir: 'libs', include: ['*.jar'])
    compile 'com.android.support:appcompat-v7:21.0.0'
}

********** build.gradle (nuovo) **********
Codice: [Seleziona]
apply plugin: 'com.android.application'

android {
    compileSdkVersion 21
    buildToolsVersion "20.0.0"

    defaultConfig {
        applicationId "it.giocoparole.trovanagramma"
        minSdkVersion 10
        targetSdkVersion 21
        versionCode 1
        versionName "1.0"
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
}

dependencies {
    compile fileTree(dir: 'libs', include: ['*.jar'])
    compile 'com.android.support:appcompat-v7:21.0.0'
}

Offline GabMarioPower

  • Moderatore globale
  • Utente senior
  • *****
  • Post: 606
  • Respect: +152
    • Github
    • Google+
    • gabrielemariotti
    • GabMarioPower
    • Mostra profilo
  • Play Store ID:
    GAB+MARIO+DEV
  • Sistema operativo:
    Ubuntu 14.04 , Win 10
Re:Errore Android Studio 1.0.2
« Risposta #3 il: 03 Febbraio 2015, 22:38:58 CET »
0
Con Android Studio e' possibile offuscare le app in automatico usando ProGuard?
Avendo sostituito "runProguard" con "minifyEnabled" NON e' piu' possible offuscare l'app?

minifyEnabled ha semplicemente sostituito la voce runProguard, ma la funzionalità è rimasta la stessa.

********** build.gradle (vecchio) **********
Codice: [Seleziona]
android {
    buildToolsVersion "20.0.0"
}
dependencies {
 
    compile 'com.android.support:appcompat-v7:21.0.0'
}

Usa l'ultimo buildTools (aggiorna l'sdk manager prima).
E usa l'ultima appcompat 21.0.3 (aggiorna anche qui il repository con l'sdk manager)

Offline oberdank

  • Utente normale
  • ***
  • Post: 287
  • Respect: 0
    • Mostra profilo
  • Dispositivo Android:
    Samsung Galaxy Core LTE
  • Play Store ID:
    BuzzOne
  • Sistema operativo:
    Windows 8.1
Re:Errore Android Studio 1.0.2
« Risposta #4 il: 04 Febbraio 2015, 15:34:12 CET »
0
Scusa ma NON ho capito un tubo.
Innanzi tutto dimmi: la sostituzione che ho fatto ("minifyEnabled false" al posto di "runProguard false") era
quello l'errore? Non e' che ho fatto casino?

Con Android Studio e' possibile offuscare in automatico le app?

Non ho capito la frase: "minifyEnabled ha semplicemente sostituito la voce runProguard, ma la funzionalità è
rimasta la stessa".

Usa l'ultimo buildTools (aggiorna l'sdk manager prima).
E usa l'ultima appcompat 21.0.3 (aggiorna anche qui il repository con l'sdk manager)

Cos'e' un "buildTools"? Cosa devo aggiornare con l'SDK Manager?
Cos'e' la "appcompat 21.0.3"? Cos'e' il "repository"?

Offline Nicola_D

  • Utente storico
  • *****
  • Post: 2479
  • SBAGLIATO!
  • Respect: +323
    • Github
    • Google+
    • nicoladorigatti
    • Mostra profilo
  • Dispositivo Android:
    Nexus 6p, Nexus 4, Nexus S, Nexus 7(2012)
  • Sistema operativo:
    Windows 7
Re:Errore Android Studio 1.0.2
« Risposta #5 il: 04 Febbraio 2015, 16:41:18 CET »
0
beh senti, stai facendo troppe domande e troppo scontate.
Non puoi voler offuscare un'app e non sapere cos'è il buildTools o non sapere cos'è l'app compat.

Studia un po sul sito di android, documentati e poi ne riparliamo. Non ha senso continuare a darti consigli se ad ogni cosa che ti si risponde generi altre 5 domande!

IMPORTANTE:NON RISPONDO A PROBLEMI VIA MESSAGGIO PRIVATO
LOGCAT: Non sai cos'è? -> Android Debug Bridge | Android Developers
               Dov'è in Eclipse? -> Window -> Open Prospective -> DDMS e guarda in basso!
[Obbligatorio] Logcat, questo sconosciuto! (Gruppo AndDev.it LOGTFO) - Android Developers Italia

Offline oberdank

  • Utente normale
  • ***
  • Post: 287
  • Respect: 0
    • Mostra profilo
  • Dispositivo Android:
    Samsung Galaxy Core LTE
  • Play Store ID:
    BuzzOne
  • Sistema operativo:
    Windows 8.1
Re:Errore Android Studio 1.0.2
« Risposta #6 il: 04 Febbraio 2015, 18:03:04 CET »
0
No siate buoni, qualcuno risponda alle mie domande PER FAVORE.
Prometto che dopo cerchero' di fare meno domande.

Offline oberdank

  • Utente normale
  • ***
  • Post: 287
  • Respect: 0
    • Mostra profilo
  • Dispositivo Android:
    Samsung Galaxy Core LTE
  • Play Store ID:
    BuzzOne
  • Sistema operativo:
    Windows 8.1
Re:Errore Android Studio 1.0.2
« Risposta #7 il: 06 Febbraio 2015, 12:16:55 CET »
0
PER FAVORE qualcuno puo' dirmi ALMENO una cosa?

Riguardo la sostituzione che ho fatto ("minifyEnabled false" al posto di "runProguard false"), ERA QUELLO
L'ERRORE? NON E' CHE HO FATTO CASINO?

Offline Ohmnibus

  • Utente senior
  • ****
  • Post: 596
  • Respect: +133
    • Google+
    • @ohmnibus
    • Mostra profilo
    • Lords of Knowledge GdR
  • Dispositivo Android:
    Samsung Galaxy Nexus
  • Play Store ID:
    Ohmnibus
  • Sistema operativo:
    Windows 7 x64
Re:Errore Android Studio 1.0.2
« Risposta #8 il: 06 Febbraio 2015, 17:26:54 CET »
0
oberdank,

ho letto il tuo problema la prima volta che l'hai postato qui sul forum, e se non ho risposto qui sul forum di sicuro non ti risponderò se mi scrivi al mio indirizzo mail personale. Anzi.

E sicuramente non è di aiuto
- scrivere mail come se chi la riceve sappia di cosa tu stai parlando, senza ovviamente far riferimento a questo post o al forum.
- chiedere come se una risposta ti sia dovuta.
- non avere nemmeno la decenza di presentarsi.

Evita, in futuro, di inviarmi e-mail o MP se non richiesti, grazie.
Ohmnibus
Le mie app su Play Store

È stata trovata una soluzione al tuo problema? Evidenzia il post più utile premendo . È un ottimo modo per ringraziare chi ti ha aiutato.

Offline oberdank

  • Utente normale
  • ***
  • Post: 287
  • Respect: 0
    • Mostra profilo
  • Dispositivo Android:
    Samsung Galaxy Core LTE
  • Play Store ID:
    BuzzOne
  • Sistema operativo:
    Windows 8.1
Re:Errore Android Studio 1.0.2
« Risposta #9 il: 06 Febbraio 2015, 18:28:00 CET »
0
SCUSA Ohmnibus credevo che tu NON avessi notato il messaggio sul forum (sul forum di messaggi ce ne sono parecchi).

NON ti inviero' piu' e-mail al tuo indirizzo, ma prima PER FAVORE se sai la risposta puoi dirmi se la
sostituzione che ho fatto ("minifyEnabled false" al posto di "runProguard false") era la cosa CORRETTA da fare
oppure ho fatto CASINO?

Scusa ancora, ciao.

Offline GabMarioPower

  • Moderatore globale
  • Utente senior
  • *****
  • Post: 606
  • Respect: +152
    • Github
    • Google+
    • gabrielemariotti
    • GabMarioPower
    • Mostra profilo
  • Play Store ID:
    GAB+MARIO+DEV
  • Sistema operativo:
    Ubuntu 14.04 , Win 10
Re:Errore Android Studio 1.0.2
« Risposta #10 il: 06 Febbraio 2015, 20:04:41 CET »
0
ma prima PER FAVORE se sai la risposta puoi dirmi se la
sostituzione che ho fatto ("minifyEnabled false" al posto di "runProguard false") era la cosa CORRETTA da fare
oppure ho fatto CASINO?

Io ti consiglio vivamente di documentarti e studiare un pò.

In ogni caso si , la correzione è quella, semplicemente perchè con gli update quel metodo è stato sostituito con il nuovo.